.TH DOMAIN2IDNA "1" "NOV 2022" "DOMAIN2IDNA 1.10.1" "tool to convert domains to IDNA format"
.RS
.SH NAME
\fBdomain2idna \fP - tool to convert domains to IDNA format
.SH SYNOPSIS
.nf
.fam C
\fBdomain2idna\fP [\fIPOSITION\fP] [\fIargument\fP]

.fam T
.fi
.SH DESCRIPTION
\fBfBdomain2idna\fP The tool to convert a domain or a file with a list of domain can
.PP
This project provides a tool for list or hosts file maintainer that converts domain
.PP
to the Punycode/IDNA format.  With domain2idna you can do:
.PP
  *  Read a given domain and convert it to the Punycode/IDNA format.
.PP  
  *  Read a given URL and convert its base to Punycode/IDNA format.
.PP
  *  Read a file and convert all non-commented line to the Punycode/IDNA format.
.PP
  *  Print the converted data on the screen.
.PP
  *  Save into a file the converted data.
.PP
  *  Return the converted data (when used as a module).
.PP
  *  Ignore commented inputs (starts with #).
.PP
.SH USAGE
usage: \domain2idna\fP [\fB-h\fP] [\fB -s -SUBJECT [SUBJECT ...]\fP] [\fB -e ENCODING\fP] [\fB-f FILE\fP]

.fam T
.fi
optional arguments:
.PP
   -h, --help  show this help message and exit
.PP	
   -s SUBJECT [SUBJECT ...], --subject SUBJECT [SUBJECT ...]. Sets the subjects to convert.
.PP
   -e ENCODING, --encoding ENCODING.  Sets the encoding to use.
.PP   
   -f FILE, --file FILE.  Sets the file to read to get the domain(s) to convert.
.PP	
   -o OUTPUT, --output OUTPUT. Sets the file where we write the converted domain(s).
.PP
   -v, --version   Show program's version number and exit
.fi
.SH EXAMPLES
.PP
	domain2idna -f file 
.PP
.fi
.SH SEE ALSO
.PP
Take a look at https://domain2idna.readthedocs.io/en/latest/usage.html 
.PP
for information on how to use.
.SH AUTHOR
domain2idna Project https://github.com/PyFunceble/domain2idna/issues
.PP
Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com> Created this
.PP
man‐page generated automatically by pandoc to generate the manual file.
